Bug 826821 - [zanata-python-client] glossary-push failed on big compendium po file
[zanata-python-client] glossary-push failed on big compendium po file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 833653
  Show dependency treegraph
 
Reported: 2012-05-31 00:17 EDT by Ding-Yi Chen
Modified: 2012-11-05 21:30 EST (History)
3 users (show)

See Also:
Fixed In Version: python client version: 1.3.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-05 21:30:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-05-31 00:17:13 EDT
Description of problem:
zanata-python-client cannot push big compendium po files (>3M)


Version-Release number of selected component (if applicable):
zanata python client version: 1.3.6, zanata server API version: 1.6.0-alpha-4-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Download the http://i18n.debian.net/compendia/po/zh_TW/compendium-zh_TW-stamp20120529.po
2. Clean up compendium-zh_TW-stamp20120529.po
3. zanata glossary push  --lang zh-Hant --disable-ssl-cert compendium-zh_TW-stamp20120529.po
  
Actual results:
error: Error - Unexpected Status, failed to push

Expected results:
Pushed without any error

Additional info:
Server log: None during the pushing
Comment 1 James Ni 2012-06-28 22:55:30 EDT
Hi Ding

Thanks, i have commit a change to git-hub to fix this issue, but i think it still need a long time to push such a big file. So i try to give warning before push, from my rapid testing, the glossary file is pushed to server successfully. I will do more tests and include it in new release.
Comment 2 Fedora Update System 2012-07-16 05:39:35 EDT
zanata-python-client-1.3.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.8-1.fc17
Comment 3 Fedora Update System 2012-07-16 05:39:51 EDT
zanata-python-client-1.3.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.8-1.fc16
Comment 4 Fedora Update System 2012-07-16 05:40:11 EDT
zanata-python-client-1.3.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.8-1.el6
Comment 5 Fedora Update System 2012-07-16 05:40:24 EDT
zanata-python-client-1.3.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.8-1.el5
Comment 6 Fedora Update System 2012-07-25 23:56:54 EDT
zanata-python-client-1.3.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-26 00:00:01 EDT
zanata-python-client-1.3.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-08 14:31:48 EDT
zanata-python-client-1.3.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-08 14:34:23 EDT
zanata-python-client-1.3.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.